For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList block trades
        • POSTCreate block trade
        • GETGet block trade
        • DELCancel block trade
        • POSTExecute block trade
        • GETGet block trade offers
        • POSTCreate block trade offer
        • GETGet specific block trade offer
        • DELCancel block trade offer
        • POSTExecute individual offer
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceBlock Trades

List block trades

GET
https://api.testnet.paradex.trade/v1/block-trades
GET
/v1/block-trades
$curl https://api.testnet.paradex.trade/v1/block-trades \
> -H "Authorization: <apiKey>"
1{
2 "next": "eyJmaWx0ZXIiMsIm1hcmtlciI6eyJtYXJrZXIiOiIxNjc1NjUwMDE3NDMxMTAxNjk5N=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjkwfSwidGltZSI6MTY4MTY3OTgzNzk3MTMwOTk1MywibWFya2VyIjp7Im1zMjExMD==",
4 "results": [
5 {
6 "block_expiration": 1640995800000,
7 "block_id": "block_456",
8 "block_type": "OFFER_BASED",
9 "created_at": 1640995200000,
10 "initiator": "0x123...abc",
11 "last_updated_at": 1640995400000,
12 "nonce": "67890",
13 "parent_block_id": "block_123",
14 "required_signers": [
15 "string"
16 ],
17 "signatures": {},
18 "status": "COMPLETED",
19 "trades": {}
20 }
21 ]
22}
Get a paginated list of block trades with filtering. Returns block trades where user is initiator, required signer, or has submitted an offer. **Filters:** - Status: CREATED, OFFER_COLLECTION, READY_TO_EXECUTE, EXECUTING, COMPLETED, CANCELLED - Market: Specific market symbol (e.g., BTC-USD-PERP) **Returns:** Paginated list with block trade details and navigation metadata.
Was this page helpful?
Previous

Create block trade

Next
Built with

Get a paginated list of block trades with filtering.

Returns block trades where user is initiator, required signer, or has submitted an offer.

Filters:

  • Status: CREATED, OFFER_COLLECTION, READY_TO_EXECUTE, EXECUTING, COMPLETED, CANCELLED
  • Market: Specific market symbol (e.g., BTC-USD-PERP)

Returns: Paginated list with block trade details and navigation metadata.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

statusenumOptional
Block trade status filter
marketstringOptional

Market symbol filter, ex: BTC-USD-PERP

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error